org.apache.struts2.jasper.el

## Class ELResolverImpl

- java.lang.Object
- - javax.el.ELResolver
  - - org.apache.struts2.jasper.el.ELResolverImpl

-     public final class ELResolverImpl
      extends javax.el.ELResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.el.ELResolver` | `DefaultResolver`

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELResolverImpl(javax.servlet.jsp.el.VariableResolver variableResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getCommonPropertyType(javax.el.ELContext context, Object base)`
    `Iterator<FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, Object base)`
    `Class<?>` | `getType(javax.el.ELContext context, Object base, Object property)`
    `Object` | `getValue(javax.el.ELContext context, Object base, Object property)`
    `boolean` | `isReadOnly(javax.el.ELContext context, Object base, Object property)`
    `void` | `setValue(javax.el.ELContext context, Object base, Object property, Object value)`

    - ### Methods inherited from class javax.el.ELResolver

      `convertToType, invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DefaultResolver

          public static final javax.el.ELResolver DefaultResolver

  - ### Constructor Detail

    - #### ELResolverImpl

          public ELResolverImpl(javax.servlet.jsp.el.VariableResolver variableResolver)

  - ### Method Detail

    - #### getValue

          public Object getValue(javax.el.ELContext context,
                                 Object base,
                                 Object property)
                          throws NullPointerException,
                                 javax.el.PropertyNotFoundException,
                                 javax.el.ELException

      Specified by:
        `getValue` in class `javax.el.ELResolver`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### getType

          public Class<?> getType(javax.el.ELContext context,
                                  Object base,
                                  Object property)
                           throws NullPointerException,
                                  javax.el.PropertyNotFoundException,
                                  javax.el.ELException

      Specified by:
        `getType` in class `javax.el.ELResolver`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### setValue

          public void setValue(javax.el.ELContext context,
                               Object base,
                               Object property,
                               Object value)
                        throws NullPointerException,
                               javax.el.PropertyNotFoundException,
                               javax.el.PropertyNotWritableException,
                               javax.el.ELException

      Specified by:
        `setValue` in class `javax.el.ELResolver`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.PropertyNotWritableException`
        `javax.el.ELException`

    - #### isReadOnly

          public boolean isReadOnly(javax.el.ELContext context,
                                    Object base,
                                    Object property)
                             throws NullPointerException,
                                    javax.el.PropertyNotFoundException,
                                    javax.el.ELException

      Specified by:
        `isReadOnly` in class `javax.el.ELResolver`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### getFeatureDescriptors

          public Iterator<FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                   Object base)

      Specified by:
        `getFeatureDescriptors` in class `javax.el.ELResolver`

    - #### getCommonPropertyType

          public Class<?> getCommonPropertyType(javax.el.ELContext context,
                                                Object base)

      Specified by:
        `getCommonPropertyType` in class `javax.el.ELResolver`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.